package com.xt.hb.gis.mapconfig.ctl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.flex.remoting.RemotingDestination;
import org.springframework.stereotype.Controller;

import com.xt.hb.gis.ctl.BaseCtl;
import com.xt.hb.gis.mapconfig.model.MapConfig;
import com.xt.hb.gis.mapconfig.svc.MapConfigService;

/**
 * 海事AIS相关Flex服务接口
 * 
 * @author 袁晓冬
 *
 */
@Controller
@RemotingDestination("mapConfigCtl")
public class MapConfigCtl extends BaseCtl {
	@Autowired
	MapConfigService mapConfigService;

	/**
	 * 根据mmsi查询船舶轨迹
	 * 
	 * @return
	 */
	public List<MapConfig> queryMapList() {
	    MapConfig entity = new MapConfig();
	    entity.setStatus("1");
	    List<MapConfig> list = mapConfigService.findMapConfigAll(entity);
	    for(int i = 0; i<list.size(); i++) {
	        if(null == list.get(i).getCdtb()) {
	            list.get(i).setCdtb("");
	        };
	    }
		return list;
	}
}
